package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbUserComment;
import com.yongqi.xinrenli.domain.vo.DbUserCommentVo;
import com.yongqi.xinrenli.domain.bo.DbUserCommentBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 用户评论Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbUserCommentService {

    /**
     * 查询用户评论
     */
    DbUserCommentVo queryById(Long id);

    /**
     * 查询用户评论列表
     */
    TableDataInfo<DbUserCommentVo> queryPageList(DbUserCommentBo bo, PageQuery pageQuery);

    /**
     * 查询用户评论列表
     */
    List<DbUserCommentVo> queryList(DbUserCommentBo bo);

    /**
     * 新增用户评论
     */
    Boolean insertByBo(DbUserCommentBo bo);

    /**
     * 修改用户评论
     */
    Boolean updateByBo(DbUserCommentBo bo);

    /**
     * 校验并批量删除用户评论信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
